
Infrastructure - Bug #6571

Replication policy can't be fulfilled in Sandbox env for 1.5.0 release

2014-11-16 05:56 - Jing Tao

Status: Closed Start date: 2014-11-16

Priority: Normal Due date: 2014-11-21

Assignee: Jing Tao % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: CCI-1.5.0   

Milestone: None Story Points:  

Product Version: *   

Description

The systemmetadata specified the id should have two replicas. However, it doesn't have any except the cn and original one:

https://cn-sandbox.test.dataone.org/cn/v1/meta/tao.13195.1

https://mn-sandbox-ucsb-1.test.dataone.org/knb/d1/mn/meta/tao.13195.1

History

#1 - 2014-11-17 20:05 - Jing Tao

- Due date changed from 2014-11-16 to 2014-11-17

- Subject changed from Replication policy can be fulfilled in Sandbox env for 1.5.0 release to Replication policy can't be fulfilled in Sandbox env for

1.5.0 release

#2 - 2014-11-18 16:35 - Skye Roseboom

- Due date changed from 2014-11-17 to 2014-11-18

- Status changed from New to In Progress

- Assignee set to Jing Tao

Hey Jing - I redeployed process daemon (with replication) after making a fix to the replication initialization code.  Looks like this pid has replicated

now. 

I believe this issue can be closed.

#3 - 2014-11-18 16:35 - Skye Roseboom

- Status changed from In Progress to Testing

#4 - 2014-11-18 19:39 - Jing Tao

- Assignee changed from Jing Tao to Skye Roseboom

#5 - 2014-11-20 21:53 - Skye Roseboom

- Due date changed from 2014-11-18 to 2014-11-20

- Status changed from Testing to Closed

#6 - 2014-11-21 00:23 - Jing Tao

- Status changed from Closed to In Progress

- Due date changed from 2014-11-20 to 2014-11-21
Hi Skye:

It seems back again :(

Please see the url:

https://cn-sandbox.test.dataone.org/cn/v1/meta/knb.288.1

I just created the document today.

#7 - 2014-11-21 15:32 - Skye Roseboom

- Assignee changed from Skye Roseboom to Jing Tao

- Status changed from In Progress to Closed

Jing - not sure what you are reporting here.  For knb.288.1, I see: 1 completed replica, and 2 replication attempts to nodes not functioning as

replication targets.   It seems replication is working to me.

urn:node:mnSandboxUNM1

completed

2014-11-21T03:03:44.239+00:00

urn:node:mnTestNKN

failed

2014-11-21T13:31:42.816+00:00

urn:node:mnSandboxORC1

requested

2014-11-21T15:27:42.695+00:00

#8 - 2014-11-21 17:52 - Jing Tao

Yeah. It seems worked. However, there was a big delay.  I uploaded to mn-sandbox-ucsb-1 in yesterday afternoon, but it was replicated to

mn-sandbox-ucsb-2 in the early of today.

The big delay made me think it not working.
